﻿Type=Class
Version=3.8
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals

Dim m_Activity     As Activity
Dim m_Module       As Object
Dim m_ActionBar    As AHActionBar
Dim m_IconHome     As BitmapDrawable
Dim m_IconSave     As BitmapDrawable
Dim m_IconHelp     As BitmapDrawable
Dim m_IconPrevious As BitmapDrawable
Dim m_IconNext     As BitmapDrawable
Dim m_IconDatabase As BitmapDrawable
Dim m_IconEmail    As BitmapDrawable
Dim m_IconChart    As BitmapDrawable


Dim ID_ACTION_HOME As Int     : ID_ACTION_HOME = 0
Dim ID_ACTION_SAVE As Int     : ID_ACTION_SAVE = 1
Dim ID_ACTION_HELP As Int     : ID_ACTION_HELP = 2
Dim ID_ACTION_ICON As Int     : ID_ACTION_ICON = 3
Dim ID_ACTION_PREVIOUS As Int : ID_ACTION_PREVIOUS = 4
Dim ID_ACTION_NEXT As Int     : ID_ACTION_NEXT = 5
Dim ID_ACTION_DATABASE As Int : ID_ACTION_DATABASE = 6
Dim ID_ACTION_EMAIL As Int    : ID_ACTION_EMAIL = 7
Dim ID_ACTION_CHART As Int    : ID_ACTION_CHART = 8


Dim m_AdBanner As AdView


Type TypeIcons(ID As Int, _
  			   Title As String)
  
Dim m_TabIcons(10) As TypeIcons
Dim m_MaxIcons As Int = 0
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(MyActivity As Activity, MyModule As Object)

	m_Activity = MyActivity	
	m_Module   = MyModule	

End Sub

Sub SetIconActionBar(ID As Int, Title As String)
    
	m_TabIcons(m_MaxIcons).ID = ID
	m_TabIcons(m_MaxIcons).Title = Title
	
	m_MaxIcons = m_MaxIcons + 1

End Sub

Sub SetIconActionBarDynamic(ID As Int, Title As String)

	Select ID	
	Case ID_ACTION_PREVIOUS
		m_IconPrevious.Initialize(LoadBitmap(File.DirAssets, "ic_action_av_rewind.png"))
		m_ActionBar.addActionAt2(ID_ACTION_PREVIOUS, m_IconPrevious, 0, Title)
			
	Case ID_ACTION_NEXT
		m_IconNext.Initialize(LoadBitmap(File.DirAssets, "ic_action_av_fast_forward.png"))
		m_ActionBar.addActionAt2(ID_ACTION_NEXT, m_IconNext, 0, Title)
	End Select
	
End Sub

Sub RemoveIconActionBar(ID As Int)

	m_ActionBar.RemoveAction(ID)

End Sub

Sub CreateActionBar
'''''''ab.AddActionAt2(ID_ACTION_STAR, starIcon, 0, "This is a dynamic action")

    'Initialize the activity and set our defined background. 
	m_ActionBar.Initialize("ActionBar")
	
	'You can change the width of an action item. 42dip is default
	m_ActionBar.ActionWidth = 42dip
	
	
	'Add a home action item
	For IndIcons=0 To m_MaxIcons - 1
		
		Select m_TabIcons(IndIcons).ID
		
		Case ID_ACTION_HOME
			m_IconHome.Initialize(LoadBitmap(File.DirAssets, "ic_title_home_default.png"))
			m_ActionBar.addHomeAction(ID_ACTION_HOME, m_IconHome)
			m_ActionBar.SubTitle = m_TabIcons(IndIcons).Title
	
		Case ID_ACTION_SAVE
			m_IconSave.Initialize(LoadBitmap(File.DirAssets, "ic_action_content_save.png"))
			m_ActionBar.addActionAt2(ID_ACTION_SAVE, m_IconSave, 0, m_TabIcons(IndIcons).Title)
			
		Case ID_ACTION_HELP
			m_IconHelp.Initialize(LoadBitmap(File.DirAssets, "ic_action_action_help.png"))
			m_ActionBar.addActionAt2(ID_ACTION_HELP, m_IconHelp, 0, m_TabIcons(IndIcons).Title)
		
		Case ID_ACTION_PREVIOUS
			m_IconPrevious.Initialize(LoadBitmap(File.DirAssets, "ic_action_av_rewind.png"))
			m_ActionBar.addActionAt2(ID_ACTION_PREVIOUS, m_IconPrevious, 0, m_TabIcons(IndIcons).Title)
			
		Case ID_ACTION_NEXT
			m_IconNext.Initialize(LoadBitmap(File.DirAssets, "ic_action_av_fast_forward.png"))
			m_ActionBar.addActionAt2(ID_ACTION_NEXT, m_IconNext, 0, m_TabIcons(IndIcons).Title)
		
		Case ID_ACTION_DATABASE
			m_IconDatabase.Initialize(LoadBitmap(File.DirAssets, "ic_action_database.png"))
			m_ActionBar.addActionAt2(ID_ACTION_DATABASE, m_IconDatabase, 0, m_TabIcons(IndIcons).Title)
			
		Case ID_ACTION_EMAIL
			m_IconEmail.Initialize(LoadBitmap(File.DirAssets, "ic_action_content_new_email.png"))
			m_ActionBar.addActionAt2(ID_ACTION_EMAIL, m_IconEmail, 0, m_TabIcons(IndIcons).Title)
			
		Case ID_ACTION_CHART
			m_IconChart.Initialize(LoadBitmap(File.DirAssets, "ic_action_chart.png"))
			m_ActionBar.addActionAt2(ID_ACTION_CHART, m_IconChart, 0, m_TabIcons(IndIcons).Title)
			
		End Select
	Next
	
	'm_ActionBar.TitleColor = Colors.Black
	m_Activity.AddView(m_ActionBar, 0, 0, 100%x, 42dip)
	
	SetColorActionBar("green")
	
End Sub

Sub SetColorActionBar(Color As String)
Dim Color1, Color2, Color3 As Int

	Select Color
	Case "blue"
		Color1 = Colors.RGB(0, 0, 180)
		Color2 = Colors.RGB(100, 100, 220)
		Color3 = Colors.RGB(0, 0, 120)
	Case "green"
		'Color1 = Colors.RGB(0, 180, 0)
		'Color2 = Colors.RGB(100, 220, 100)
		Color2 = Colors.RGB(0, 128, 0)
		Color1 = Colors.RGB(0, 255, 0)
		Color3 = Colors.RGB(0, 120, 0)
	Case "white"
		Color1 = Colors.RGB(255, 255, 255)
		Color2 = Colors.RGB(255, 255, 255)
		Color3 = Colors.RGB(0, 120, 0)
	Case "black"	
		Color1 = Colors.RGB(0, 0, 0)
		Color2 = Colors.RGB(0, 0, 0)
		Color3 = Colors.RGB(0, 120, 0)
	Case "red"
		Color1 = Colors.RGB(180, 0, 0)
		Color2 = Colors.RGB(220, 100, 100)
		Color3 = Colors.RGB(120, 0, 0)
	End Select
		
		
	'Gradient background for the action bar.
	Dim background As GradientDrawable
	Dim Clrs(2) As Int
	Clrs(0) = Color1
	Clrs(1) = Color2
	background.Initialize("TOP_BOTTOM", Clrs)
	
	'Background of an action item if it is pressed
	Dim background_pressed As ColorDrawable
	background_pressed.Initialize(Color3, 0)
	
	'Define a StateListDrawable that has the background for our action bar and
	'a background if an action item is pressed.
	Dim bd As StateListDrawable
	bd.Initialize
	bd.AddState(bd.State_Pressed, background_pressed)
	bd.AddState(bd.State_Enabled, background)
	bd.AddCatchAllState(background)

	m_ActionBar.background = bd
	
End Sub
	
Sub ActionBar_ItemClicked(ItemID As Int)
	'If the refresh action is pressed, show the progress indicator a few seconds.
	
	'If SubExists(mModule,"button_click") Then CallSub2(mModule,"Button_Click",Sender)
	'CallSub2(mModule,"AB_ItemClicked",Sender)
	
	Select ItemID
		Case ID_ACTION_HOME
			CallSub(m_Module, "ActionBar_Home")
				
		Case ID_ACTION_SAVE
			CallSub(m_Module, "ActionBar_Save")
			
		Case ID_ACTION_PREVIOUS
			CallSub(m_Module, "ActionBar_Previous")
		
		Case ID_ACTION_NEXT
			CallSub(m_Module, "ActionBar_Next")
		
		Case ID_ACTION_HELP
			CallSub(m_Module, "ActionBar_Help")
			
		Case ID_ACTION_DATABASE
			CallSub(m_Module, "ActionBar_Database")
			
		Case ID_ACTION_EMAIL
			CallSub(m_Module, "ActionBar_Email")
			
		Case ID_ACTION_CHART
			CallSub(m_Module, "ActionBar_Chart")

	End Select
End Sub

Sub CreateAdMob(AdId As String)

    m_AdBanner.Initialize("AdBanner", AdId)  
	m_Activity.AddView(m_AdBanner, 0dip, m_Activity.Height - 50dip, m_Activity.Width, 50dip)
    m_AdBanner.LoadAd
	
	m_AdBanner.Background = Null

End Sub

Sub Pause
	If m_AdBanner.IsInitialized == True Then
		m_AdBanner.Pause
	End If
End Sub

Sub Resume
	If m_AdBanner.IsInitialized == True Then
		m_AdBanner.Resume
	End If
End Sub